package com.fs.qw.service;

import com.fs.qw.domain.QwRoom;
import com.fs.qw.vo.QwContactListVO;
import com.fs.qw.vo.QwRoomListVO;
import com.fs.qw.vo.QwRoomMember;

import java.util.List;

public interface IQwRoomMemberService {

    /**
     * 查询群成员
     *
     */
    public QwRoomMember selectQwRoomMemberById(Long userId,Long roomId);

    /**
     * 查询群成员列表
     *
     * @param qwRoomMember 群成员
     * @return 群成员集合
     */
    public List<QwRoomMember> selectQwRoomMemberList(QwRoomMember qwRoomMember);

    /**
     * 新增群成员
     *
     * @param qwRoomMember 群成员
     * @return 结果
     */
    public int insertQwRoomMember(QwRoomMember qwRoomMember);

    /**
     * 修改群成员
     *
     * @param qwRoomMember 群成员
     * @return 结果
     */
    public int updateQwRoomMember(QwRoomMember qwRoomMember);

    /**
     * 批量删除群成员
     *
     * @param ids 需要删除的群成员ID
     * @return 结果
     */
    public int deleteQwRoomMemberByIds(Long[] ids);

    /**
     * 删除群成员信息
     *
     */
    public int deleteQwRoomMemberById(Long userId,Long roomId);


}
